com.corticon.eclipse.studio.rule.optimizer.expandcollapse.core

## Interface IExpandCollapseAPI

- All Superinterfaces:
    IModelAPI

      public interface IExpandCollapseAPI
      extends IModelAPI

  The Expand/Collapse API provides a standardized interface to allow client programs to expand, collapse and compress rules.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `collapseAllRules()` Collapse all rules in the rule set.
    `boolean` | `collapseSelectedRules()` Collapse all rules in the rule set.
    `boolean` | `compressAllRules()` Compress all rules in the rule set.
    `boolean` | `compressSelectedRules()` Compress all rules in the rule set.
    `boolean` | `expandAllRules()` Expand all rules in the rule set.
    `boolean` | `expandSelectedRules()` Expand selected rules in the rule set.
    `IRulesheetTableModelAPI` | `getRulesheetTableModelAPI()` Method to get and capture Rulesheet API instance.
    `boolean` | `isEnabledCollapseAllRules()` Determine if collapse all rules function is enabled.
    `boolean` | `isEnabledCollapseSelectedRules()` Determine if collapse selected rules function is enabled.
    `boolean` | `isEnabledCompressAllRules()` Determine if compress all rules function is enabled.
    `boolean` | `isEnabledCompressSelectedRules()` Determine if compress selected rules function is enabled.
    `boolean` | `isEnabledExpandAllRules()` Determine if expand all rules function is enabled.
    `boolean` | `isEnabledExpandSelectedRules()` Determine if expand selected rules function is enabled.
    `void` | `setRulesheetTableModelAPI(IRulesheetTableModelAPI aIRulesheetTableModelAPI)` Setter for Rulesheet table model API.

    - ### Methods inherited from interface com.corticon.eclipse.core.IModelAPI

      `activate, addAnnotation, addBatchedModelListener, addLowLevelModelListener, addModelListener, addResourceListener, addView, beginTransaction, cancelTransaction, canSetSupportedLocales, closeResource, createResource, deleteAnnotation, deleteAnnotation, deleteAnnotation, deleteResource, displayMessageBox, dispose, doPostLoadValidation, doSmartValidation, endTransaction, endTransaction, flushCommandStack, formatValidationMessageLocation, formatValidationMessageText, getAllLocalesProvidingCompleteLocalization, getAnnotation, getAnnotations, getAnnotations, getAnnotations, getAPIContextObject, getAsset, getBaseAttribute, getBaseAttributeString, getBatchedModelListeners, getBuildNumber, getBuildNumberOfLastValidationRulesChange, getEditingDomain, getErrors, getErrors, getIndexByLocale, getLocale, getLocalizedAttribute, getLocalizedAttributeString, getLowLevelModelListeners, getMajorServiceNumber, getMajorVersionNumber, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getMinorServiceNumber, getMinorVersionNumber, getModelAPIState, getModelListeners, getNewResourceName, getPersistenceServicesDelegate, getPreferences, getPrimaryResource, getPrimaryResourceURI, getScrollableMessageDelegate, getSupportedLocales, getSuppressBrokenLinkValidation, getSuppressValidation, getToolTip, getUpdateStamp, getUserInterfaceInfoDelegate, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessages, getValidationMessages, getWarnings, getWarnings, handleException, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, isAPIStateEstablished, isEnabledRedo, isEnabledUndo, isInhibitNotification, isLoaded, isOperationModeNormal, isOperationModeRedo, isOperationModeUndo, isPassive, isPostLoadInProgress, isPrimaryResourceSet, isReadOnly, isResourceActivated, isResourceConflict, isResourceDemandLoaded, isResourceLoaded, isScrollableMessageDelegateAvailable, isShowCanonicalValidationMessages, isSuppressModifiedFlagUpdates, isSuppressPostLoad, isTransactionInProgress, isValid, isValid, loadResource, loadResource, loadResource, newInstance, noOperation, postLoad, postMethod, postMethod, postsave, preMethod, presave, redo, reloadResource, remapResource, remapResource, removeBatchedModelListener, removeLowLevelModelListener, removeModelListener, removeResource, removeResourceListener, removeView, renameResource, rollbackTransaction, saveAll, saveResource, setAnnotation, setAPIContextObject, setAPIState, setBuildNumber, setEditingDomain, setInhibitNotification, setLocale, setMajorServiceNumber, setMajorVersionNumber, setMessageBoxDelegate, setMinorServiceNumber, setMinorVersionNumber, setModelAPIState, setModelListeners, setPassive, setPersistenceServicesDelegate, setPostLoadInProgress, setPreferencesDelegate, setPrimaryResource, setReadOnly, setScrollableMessageDelegate, setSupportedLocales, setSuppressBrokenLinkValidation, setSuppressModifiedFlagUpdates, setSuppressPostLoad, setSuppressValidation, setUserInterfaceInfoDelegate, undo, unloadResource, validate, validateLicense`

- - ### Method Detail

    - #### collapseAllRules

          boolean collapseAllRules()

      Collapse all rules in the rule set.
      Returns:
        `true` if command was successful.

    - #### collapseSelectedRules

          boolean collapseSelectedRules()

      Collapse all rules in the rule set. The system will collapse only those rules identified by the current matrix selection.
      Returns:
        `true` if command was successful.

    - #### compressAllRules

          boolean compressAllRules()

      Compress all rules in the rule set.
      Returns:
        `true` if command was successful.

    - #### compressSelectedRules

          boolean compressSelectedRules()

      Compress all rules in the rule set. The system will compress only those rules identified by the current matrix selection.
      Returns:
        `true` if command was successful.

    - #### expandAllRules

          boolean expandAllRules()

      Expand all rules in the rule set.
      Returns:
        `true` if command was successful.

    - #### expandSelectedRules

          boolean expandSelectedRules()

      Expand selected rules in the rule set. The system will expand only those rules identified by the current matrix selection.
      Returns:
        `true` if command was successful.

    - #### getRulesheetTableModelAPI

          IRulesheetTableModelAPI getRulesheetTableModelAPI()

      Method to get and capture Rulesheet API instance.
      Returns:
        Rulesheet API instance.

    - #### isEnabledCollapseAllRules

          boolean isEnabledCollapseAllRules()

      Determine if collapse all rules function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledCollapseSelectedRules

          boolean isEnabledCollapseSelectedRules()

      Determine if collapse selected rules function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledCompressAllRules

          boolean isEnabledCompressAllRules()

      Determine if compress all rules function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledCompressSelectedRules

          boolean isEnabledCompressSelectedRules()

      Determine if compress selected rules function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledExpandAllRules

          boolean isEnabledExpandAllRules()

      Determine if expand all rules function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledExpandSelectedRules

          boolean isEnabledExpandSelectedRules()

      Determine if expand selected rules function is enabled.
      Returns:
        `true` if function is enabled.

    - #### setRulesheetTableModelAPI

          void setRulesheetTableModelAPI(IRulesheetTableModelAPI aIRulesheetTableModelAPI)

      Setter for Rulesheet table model API.
      Parameters:
        `aIRulesheetTableModelAPI` - Rulesheet table model API.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.